<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.ibm.devworks</groupId>
  <artifactId>NumOps</artifactId>
  <version>1.0-SNAPSHOT</version>
  <packaging>jar</packaging>
  <name>NumOps</name>
  <parent>
  	<artifactId>spring-2_numops-junit4</artifactId>
  	<groupId>com.ibm.devworks</groupId>
  	<version>1.0-SNAPSHOT</version>
  </parent>
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.4.3</version> 
      </plugin>
	   <plugin>
		<artifactId>maven-jar-plugin</artifactId>
		<version>2.2</version>
		<configuration>
		  <archive>
		    <manifest>
	  	      <mainClass>
             		com.ibm.devworks.NumOps
	  	      </mainClass>
		      <packageName>com.ibm.devworks</packageName>
		    </manifest>
		    <manifestEntries>
			<mode>development</mode>
			<url>${pom.url}</url>
		    </manifestEntries>
		  </archive>
		</configuration>
	   </plugin>
	   <plugin>
		<groupId>org.codehaus.mojo</groupId>
		<artifactId>exec-maven-plugin</artifactId>
		<version>1.1</version>
		<executions>
	  	  <execution>
			<id>main</id>
			<phase>post-integration-test</phase>
			<goals>
		   	  <goal>java</goal>
			</goals>
	  	  </execution>
		</executions>
		<configuration>
			<mainClass>
				com.ibm.devworks.NumOps
			</mainClass>
		</configuration>
   	  </plugin>
	</plugins>
  </build>
  <dependencies>
    <dependency>
      <groupId>com.ibm.devworks</groupId>
      <artifactId>OpsImp</artifactId>
      <version>${project.version}</version>
    </dependency>
  </dependencies>
</project> 
